import java.util.*;

public class Testing {
  public static void main(String[] args) {

    if("pangram".equals(args[0])) {
      if(testPangram(args[1])) {
        System.out.println("true");
      } else {
        System.out.println("false");
      }
    }
  }

  private static boolean testPangram(String test) {
    System.out.println("Pangram Testing ("+test+")");
    char ch = 'a';
    char[] strBytes = test.toLowerCase().toCharArray();
    for(int i = 0; i < 26; i++) {
      boolean foundChar = false;
      for(int j = 0; j < strBytes.length; j++) {
        if(strBytes[j] == ch) {
          foundChar = true;
          break;
        }
      }
      ch++;
      if(foundChar) {
        continue;
      }
      return false;
    }
    return true;
  }
}